### Method

# Camel StoreSummary add_from_path

#### Declaration [src]

    CamelStoreInfo*
    camel_store_summary_add_from_path (
      CamelStoreSummary* summary,
      const gchar* path
    )

#### Description [src]

Build a new info record based on the name, and add it to the summary.

#### Parameters

`path`

  Type: `const gchar*`

  Item path.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `CamelStoreInfo`

The newly added record or `NULL` if the `path` already exists.

The returned data is owned by the instance.
The return value can be `NULL`.